package net.cattaka.rdbassistant.config;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import net.cattaka.rdbassistant.RdbaConstants;
import net.cattaka.util.ExceptionHandler;

public class RdbaConfigUtil {
	public static RdbaConfig loadRdbaConfig() {
		RdbaConfig result = new RdbaConfig();
		try {
			InputStream in = new FileInputStream(RdbaConstants.RDBA_CONFIG_FILE);
			result.loadFromXML(in);
			in.close();
		} catch(IOException e) {
			ExceptionHandler.error(e);
		}
		
		return result;
	}
	public static void saveRdbaConfig(RdbaConfig rdbaConfig) {
		try {
			OutputStream out = new FileOutputStream(RdbaConstants.RDBA_CONFIG_FILE);
			rdbaConfig.storeToXML(out, "");
			out.flush();
		} catch(IOException e) {
			ExceptionHandler.error(e);
		}
	}
}
