package net.cattaka.rdbassistant.gui.table;

import java.util.ArrayList;
import java.util.List;

import net.cattaka.util.StringUtil;

public class PropertyTable {
	private String tableName = "";
	private String[] columnNames = new String[0];
	private List<Object[]> columnValues = new ArrayList<Object[]>();
	private Class<?>[] columnClasses = new Class<?>[0];
	private int[] columnCharacters = new int[0];
	
	public PropertyTable() {
	}
	public String getTableName() {
		return tableName;
	}
	public void setTableName(String tableName) {
		this.tableName = tableName;
	}
	public String[] getColumnNames() {
		return columnNames;
	}
	public void setColumnNames(String[] columnNames) {
		this.columnNames = columnNames;
	}
	public List<Object[]> getColumnValues() {
		return columnValues;
	}
	public void setColumnValues(List<Object[]> columnValues) {
		this.columnValues = columnValues;
	}
	public Class<?>[] getColumnClasses() {
		return columnClasses;
	}
	public void setColumnClasses(Class<?>[] columnClasses) {
		this.columnClasses = columnClasses;
	}
	public int[] getColumnCharacters() {
		return columnCharacters;
	}
	public void setColumnCharacters(int[] columnCharacters) {
		this.columnCharacters = columnCharacters;
	}
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("TABLE_NAME : ");
		sb.append(tableName);
		sb.append('\n');
		sb.append("COLUMN_NAMES : ");
		sb.append(StringUtil.toString(columnNames));
		sb.append('\n');
		sb.append("COLUMN_VALUES : ");
		sb.append('\n');
		for(Object[] cvs : columnValues) {
			sb.append(StringUtil.toString(cvs));
			sb.append('\n');
		}
		
		return sb.toString();
	}
}
